#ifndef _BSD_SIGNAL_H
#define _BSD_SIGNAL_H
#include "/usr/include/signal.h"

#define NSIG _NSIG

typedef void (*sig_t)(int);

#define sigmask(signo) (1L << 32 - (signo))

struct sigvec {
  void (*sv_handler)();
  long sv_mask;
  long sv_flags;
  #define sv_onstack sv_flags /* compatibility requirment */
  };

extern long sigsetmask(long mask);
extern long sigblock(long mask);
extern void sigvector(int sig, struct sigvec *vec, struct sigvec *ovec);
extern long sigpause(long mask);
extern long sigspace(long size);
extern void sigvec(int sig, struct sigvec *vec, struct sigvec *ovec);

#define killpg(a, b) kill(-(a), b)

#endif /* _BSD_SIGNAL_H */
