#ifndef _STDLIB_INCLUDED
#  define _STDLIB_INCLUDED

#ifdef _MPE_THREADS
#include <thdwrp.h>
#endif

#  define EXIT_FAILURE 1
#  define EXIT_SUCCESS 0
#  define MB_CUR_MAX __nl_char_size
   extern int __nl_char_size;
#  ifndef NULL
#    define NULL 0
#  endif
#  define RAND_MAX 32767
   typedef struct {
	int quot;	/* quotient */
	int rem;	/* remainder */
   } div_t;
   typedef struct {
	long int quot;	/* quotient */
	long int rem;	/* remainder */
   } ldiv_t;
#  ifndef _SIZE_T
#    define _SIZE_T
     typedef unsigned int size_t;
#  endif
#  ifndef _WCHAR_T
#    define _WCHAR_T
     typedef unsigned int wchar_t;
#  endif
#  ifdef __STDC__
     extern double atof(const char *);
     extern int atoi(const char *);
     extern long int atol(const char *);
     extern double strtod(const char *, char **);
     extern long int strtol(const char *, char **, int);
     extern unsigned long int strtoul(const char *, char **, int);
     extern int rand(void);
     extern void srand(unsigned int);
     extern int atexit(void (*) (void));
     extern void exit(int);
     extern char *getenv(const char *);
     extern int system(const char *);
     extern int abs(int);
     extern div_t div(int, int);
     extern ldiv_t ldiv(long int, long int);
     extern long int labs(long int);
     extern int mblen(const char *, size_t);
     extern int mbtowc(wchar_t *, const char *, size_t);
     extern int wctomb(char *, wchar_t);
     extern size_t mbstowcs(wchar_t *, const char *, size_t);
     extern size_t wcstombs(char *, const wchar_t *, size_t);
     extern void free(void *);
     extern void qsort(void *, size_t, size_t,	\
		       int (*)(const void *, const void *));
     extern void abort(void);
     extern void *bsearch(const void *, const void *, size_t, size_t,	\
			  int (*) (const void *, const void *));
     extern void *calloc(size_t, size_t);
     extern void *malloc(size_t);
     extern void *realloc(void *, size_t);
#  else /* __STDC */
     extern double atof();
     extern int atoi();
     extern long int atol();
     extern double strtod();
     extern long int strtol();
     extern void free();
     extern unsigned long int strtoul();
     extern int rand();
     extern void srand();
     extern int atexit();
     extern void exit();
     extern char *getenv();
     extern int system();
     extern int abs();
     extern div_t div();
     extern ldiv_t ldiv();
     extern long int labs();
     extern void qsort();
     extern int mblen();
     extern int mbtowc();
     extern int wctomb();
     extern size_t mbstowcs();
     extern size_t wcstombs();
#ifdef _CLASSIC_ANSI_TYPES
     extern int abort();
     extern char *bsearch();
     extern char *calloc();
     extern char *malloc();
     extern char *realloc();
#else
     extern void abort();
     extern void *bsearch();
     extern void *calloc();
     extern void *malloc();
     extern void *realloc();
#endif /* _CLASSIC_ANSI_TYPES */
#  endif /* __STDC__ */

#ifdef _POSIX_SOURCE
#  ifdef __STDC__
     extern int putenv (const char *);
#  else
     extern int putenv ();
#  endif
#endif

#endif /* _STDLIB_INCLUDED */
