#define getdtablesize(a) 60

#define RUSAGE_SELF     0
#define RUSAGE_CHILDREN -1

struct  rusage {
        struct timeval ru_utime;        /* user time used */
        struct timeval ru_stime;        /* system time used */
                                        /* actual values kept in proc struct */
        long    ru_maxrss;
#define ru_first        ru_ixrss
        long    ru_ixrss;               /* integral shared memory size */
        long    ru_idrss;               /* integral unshared data " */
        long    ru_isrss;               /* integral unshared stack " */
        long    ru_minflt;              /* page reclaims */
        long    ru_majflt;              /* page faults */
        long    ru_nswap;               /* swaps */
        long    ru_inblock;             /* block input operations */
        long    ru_oublock;             /* block output operations */
        long    ru_ioch;                /* # of characters read/written */
        long    ru_msgsnd;              /* messages sent */
        long    ru_msgrcv;              /* messages received */
        long    ru_nsignals;            /* signals received */
        long    ru_nvcsw;               /* voluntary context switches */
        long    ru_nivcsw;              /* involuntary " */
#define ru_last         ru_nivcsw
};

/*
 * Resource limits
 */
#define RLIMIT_CPU      0               /* cpu time in milliseconds */
#define RLIMIT_FSIZE    1               /* maximum file size */
#define RLIMIT_DATA     2               /* data size */
#define RLIMIT_STACK    3               /* stack size */
#define RLIMIT_CORE     4               /* core file size */
#define RLIMIT_RSS      5               /* resident set size */
#define RLIMIT_MEMLOCK  6               /* locked-in-memory address space */
#define RLIMIT_NPROC    7               /* number of processes */
#define RLIMIT_OFILE    8               /* number of open files */

#define RLIM_NLIMITS    9               /* number of resource limits */

#define RLIM_INFINITY   0x7fffffff

struct rlimit {
        long    rlim_cur;               /* current (soft) limit */
        long    rlim_max;               /* maximum value for rlim_cur */
};

#define getrlimit(x, y) ((y)->rlim_cur = (y)->rlim_max = x)
#define setrlimit(x, y) (1)

