#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>

/* fix fildes to use _fn_offset */
int ftruncate(int fildes, size_t length)
{
  int F = mpe_fileno(fildes);

  FPOINT(F, length);
  FCONTROL(F, 6);
  return 0;
}

#define POSIX1_ERR_XLATE_ENV 0
#define HPS_OPTION_CHMOD 51
#define HPS_OPTION_FILE_NUM 4
int fchmod(int fildes, mode_t mode)
{
  int F = mpe_fileno(fildes);
  mode_t local_mode = mode;
  int local_status;

  /* Call HPACDPUT to do the chmod(). */
  HPACDPUT(&local_status,
           HPS_OPTION_FILE_NUM, F,
           HPS_OPTION_CHMOD, &local_mode);

  /* Check to see if HPACDPUT() failed. */
  if (local_status != 0)  {
    errno = translate_error(local_status, POSIX1_ERR_XLATE_ENV);
    return(-1);
  }

  return(0); /* chmod() succeeded. */

}

int
fchown(int fildes, uid_t owner, gid_t group)
{
  int status;
  char path[1030], *path_ptr;
  int *len;

  len = (int *) &path;
  path_ptr = path + sizeof(int);
  *len = sizeof(path) - sizeof(int);
  FFILEINFO(mpe_fileno(fildes), 80, path);
  chown(path_ptr, owner, group);
}
